@use '../core/placeholders/input';

label {
  display: flex;
  align-items: center;
  cursor: pointer;
  gap: var(--spacer-default);
  text-align: left;

  > input {
    flex: none;
  }
}

input[type='range'] {
  height: 1rem;
  appearance: none;
}

select {

  // Reset the reset to have the arrow on input
  appearance: auto;
}

select,
input[type='date'],
input[type='datetime-local'],
input[type='email'],
input[type='hidden'],
input[type='image'],
input[type='month'],
input[type='number'],
input[type='password'],
input[type='range'],
input[type='search'],
input[type='tel'],
input[type='text'],
input[type='time'],
input[type='url'],
input[type='week'] {
  @extend %input;

  height: var(--input-height);
}

textarea {
  @extend %input;
}

input[type='color'] {
  width: 1rem;
  height: 1rem;
  padding: 0;
}

input[type='checkbox'],
input[type='radio'] {
  appearance: none;
  background-color: var(--background-color);
  background-position: center;
  background-repeat: no-repeat;
  background-size: 0 0;
  box-shadow: inset 0 0 0 1px var(--border-color);
  cursor: pointer;
  outline: 0;
  transition: background-size 0.15s;
  vertical-align: text-bottom;
}

input[type='checkbox'] {
  width: 1rem;
  height: 1rem;
  background-image: var(--form-checkbox-background);

  &:checked {
    background-size: 60% 60%;
  }
}

input[type='radio'] {
  width: 0.9rem;
  height: 0.9rem;
  border-radius: 50%;
  background-image: var(--form-radio-background);

  &:checked {
    background-size: 70% 70%;
  }
}
